Summary:	ATOKX for Linux Hacked Library
Name:		libatokxhack
Version:	0.1
Release:	1m
License:	LGPL
Group:		User Interface/X
URL:		http://www.momonga-linux.org/~famao/libatokxhack/
Source:		libatokxhack-%{version}.tar.gz
Requires:	atokx
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Preload Library for ATOKX for Linux.
It overrides XMapWindow function and sets NoInput Hints to 
mapping Window. 

If you use ICCM compliant Window Manager, LookupAux Window
doesn't take focus.

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall imdir=%{buildroot}%{_libdir}/im/locale/ja/atokserver/xaux

mkdir -p %{buildroot}%{_datadir}/libatokxhack
cp src/{Install.sh,UnInstall.sh,LookupAux-replace} %{buildroot}%{_datadir}/libatokxhack

%clean
rm -rf %{buildroot}

%post
cd %{_datadir}/libatokxhack
./Install.sh

%preun
cd %{_datadir}/libatokxhack
./UnInstall.sh

%files
%defattr(-,root,root)
%doc COPYING README AUTHORS ChangeLog
%{_libdir}/im/locale/ja/atokserver/xaux/libatokxhack.*
%{_datadir}/libatokxhack

%changelog
* Wed Oct 23 2002 Motonobu Ichimura <famao@momonga-linux.org>
- first release
